## ros-indigo-bwi-kr-execution 0.3.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(bwi_kr_execution)

find_package(catkin REQUIRED COMPONENTS
  actionlib
  actionlib_msgs 
  bwi_msgs
  message_generation
  roscpp
  roslib
  sound_play
  std_msgs
  std_srvs
)

## Generate messages in the 'msg' folder
add_message_files(
  FILES
    AnswerSet.msg
    AspFluent.msg
    AspRule.msg)

## Generate services in the 'srv' folder
add_service_files(
  FILES
    ComputeAllPlans.srv
    ComputePlan.srv
    CurrentStateQuery.srv
    IsPlanValid.srv
    UpdateFluents.srv)

## Generate actions in the 'action' folder
add_action_files(FILES ExecutePlan.action)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
    actionlib_msgs
    std_msgs)
 
catkin_package(
  INCLUDE_DIRS actasp/include
  LIBRARIES actasp
  CATKIN_DEPENDS
    actionlib_msgs
    bwi_msgs
    message_runtime
    roscpp
    sound_play
    std_msgs
    std_srvs
)

include_directories(
  ${catkin_INCLUDE_DIRS}
  actasp/include
)

set(actasp_SRC)

add_subdirectory(actasp/src/)

add_library(actasp ${actasp_SRC})
target_link_libraries(actasp ${catkin_LIBRARIES})

set(kractions_SRC)
add_subdirectory(src/actions/)
add_library(kractions ${kractions_SRC})
add_dependencies(kractions ${catkin_EXPORTED_TARGETS})
add_dependencies(kractions ${${PROJECT_NAME}_EXPORTED_TARGETS})
target_link_libraries(kractions actasp)

set(spexec_SRC)
set(anyexec_SRC)
set(lexec_SRC)
set(krreasoner_SRC)

add_subdirectory(src)
add_executable(single_plan_executor_node ${spexec_SRC})
target_link_libraries(single_plan_executor_node
  ${catkin_LIBRARIES} actasp kractions)

add_executable(any_plan_executor_node ${anyexec_SRC})
target_link_libraries(any_plan_executor_node
  ${catkin_LIBRARIES} actasp kractions)

add_executable(learning_executor_node ${lexec_SRC})
target_link_libraries(learning_executor_node
  ${catkin_LIBRARIES} actasp kractions)
 
add_executable(knowledge_reasoning_node  ${krreasoner_SRC})
target_link_libraries(knowledge_reasoning_node
  ${catkin_LIBRARIES} actasp kractions)

add_executable(asp_formatter src/asp_formatter.cpp)
target_link_libraries(asp_formatter actasp)

add_executable(state_tracker src/state_tracker.cpp src/msgs_utils.cpp)
target_link_libraries(state_tracker kractions)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

foreach(dir domain domain_dialog domain_simulation launch)
  install(DIRECTORY ${dir}/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${dir})
endforeach()

install(TARGETS actasp kractions
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(TARGETS
          any_plan_executor_node
          asp_formatter
          knowledge_reasoning_node
          learning_executor_node
          single_plan_executor_node
	  state_tracker
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== src/CMakeLists.txt ===


SET( spexec_SRC ${spexec_SRC}
	${CMAKE_CURRENT_SOURCE_DIR}/single_plan_executor.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/msgs_utils.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/RemoteReasoner.cpp  
  ${CMAKE_CURRENT_SOURCE_DIR}/StaticFacts.cpp  
	PARENT_SCOPE)
	
SET( anyexec_SRC ${anyexec_SRC}
  ${CMAKE_CURRENT_SOURCE_DIR}/any_plan_executor.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/msgs_utils.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/RemoteReasoner.cpp  
  ${CMAKE_CURRENT_SOURCE_DIR}/StaticFacts.cpp  
  PARENT_SCOPE)
	
SET( lexec_SRC ${lexec_SRC}
  ${CMAKE_CURRENT_SOURCE_DIR}/learning_executor.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/msgs_utils.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/RemoteReasoner.cpp 
  ${CMAKE_CURRENT_SOURCE_DIR}/RemoteReasoner.cpp  
  ${CMAKE_CURRENT_SOURCE_DIR}/StaticFacts.cpp  
  ${CMAKE_CURRENT_SOURCE_DIR}/learning/DefaultTimes.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/learning/SarsaActionSelector.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/learning/ActionLogger.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/learning/RLActionExecutor.cpp
  PARENT_SCOPE)
	
SET( krreasoner_SRC ${krreasoner_SRC}
  ${CMAKE_CURRENT_SOURCE_DIR}/knowledge_reasoning.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/msgs_utils.cpp
PARENT_SCOPE)

=== actasp/src/CMakeLists.txt ===

add_subdirectory(executors)
add_subdirectory(reasoners)
add_subdirectory(planners)

SET( actasp_SRC  ${actasp_SRC}
	${CMAKE_CURRENT_SOURCE_DIR}/Action.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/AspAtom.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/AspFluent.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/AnswerSet.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/MultiPolicy.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/GraphPolicy.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/action_utils.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/state_utils.cpp
PARENT_SCOPE)

=== src/actions/CMakeLists.txt ===


SET( kractions_SRC ${KREXEC_SRC}
	${CMAKE_CURRENT_SOURCE_DIR}/ActionFactory.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/LogicalNavigation.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/CallGUI.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/OpenDoor.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/OpenSimulatedDoor.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/GoThrough.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/GotoObject.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/ApproachDoor.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/SearchRoom.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/AskPerson.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/Remind.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/ChangeFloor.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/SimulatedChangeFloor.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/CallElevator.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/CallSimulatedElevator.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/../StaticFacts.cpp
	PARENT_SCOPE)

=== actasp/src/executors/CMakeLists.txt ===
SET( actasp_SRC  ${actasp_SRC}
	${CMAKE_CURRENT_SOURCE_DIR}/ReplanningActionExecutor.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/PartialPolicyExecutor.cpp
PARENT_SCOPE)

=== actasp/src/reasoners/CMakeLists.txt ===
SET( actasp_SRC  ${actasp_SRC}
	${CMAKE_CURRENT_SOURCE_DIR}/Clingo3.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/Clingo4_2.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/Reasoner.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/FilteringReasoner.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/IsNotLocallyOptimal.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/LexComparator.cpp
PARENT_SCOPE)

=== debian/changelog ===
ros-indigo-bwi-kr-execution (0.3.12-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 14 Sep 2016 05:00:00 -0000

ros-indigo-bwi-kr-execution (0.3.11-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 27 Aug 2016 05:00:00 -0000

ros-indigo-bwi-kr-execution (0.3.10-0trusty) trusty; urgency=high

  * added elevators
  * added 4th floor map
  * Contributors: Nathan John

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 15 Aug 2016 05:00:00 -0000

ros-indigo-bwi-kr-execution (0.3.9-0trusty) trusty; urgency=high

  * Increased planner timeout from 20 seconds to 40 seconds to account
    for longer planning times for traveling between floors.
  * Modifed elevator domain fact file and added rooms for 1st Floor GDC to navigation fact file..
  * Added first floor map information to navigation_facts and elevator_facts.
  * Fixed static law for facing and beside door, D1 was not defined as a door.
  * Fixed errors in 3rd floor objects. Added 2nd floor objects and rest of 3rd floor objects.
  * Created action files for goto action and added goto action to asp_fomatter.
  * Updated door approach points for 3rd floor map
  * Added missing locations and fixed doors in navigation_facts
  * Updated ASP fact files with addtional locations from updated 3rd floor map.
  * Contributors: FernandezR

 -- Piyush Khandelwal <piyushk@gmail.com>  Fri, 05 Aug 2016 05:00:00 -0000

ros-indigo-bwi-kr-execution (0.3.8-0trusty) trusty; urgency=high

  * fix broken clingo dependency (#52 <https://github.com/utexas-bwi/bwi_common/issues/52>)
  * moved disabling static map from bwi_kr_execution to
    segbot_logical_translator, where it should have been in the first
    place.
  * the gothrough action disables the global costmap. the callelevator
    action only expects the door in front of it to open.
  * added simulated change floor action. added hack to make plan shorter
    when using the elevator, and the other door opens.
  * updated simulated calls that open the elevator doors to
    automatically close those doors.
  * added a simulation change floor action. Should be ready for real
    robot testing now.
  * added missing actions that won't be displayed in clingo output
  * fixing planning issues with elevators
  * some more updates to bwi_kr_execution. fixing some merge issues.
  * merged with yuqian branch.
  * updated navigation facts for simulation.
  * Added additional facts for 2nd floor to navigation facts.
  * Changed location of elavator doors on 2nd floor to l2_200 from
    l2_302.
  * Fixed static facts bug, by adding ``%#show hasdoor`` to
    elavator_facts. Fixed navigation bug on 2nd floor, by adding 2nd
    floor locations to navigation_facts.
  * Clingo4 code fixes for current robot elevator code
  * Contributors: Rolando Fernandez, Jack O'Quin, Piyush Khandelwal, Yuqian Jiang

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 06 Jun 2016 05:00:00 -0000

ros-indigo-bwi-kr-execution (0.3.2-0trusty) trusty; urgency=high

  * updated Clingo to use the current state correctly.
  * removed output that was placed in for debugging. closes #17 <https://github.com/utexas-bwi/bwi_common/issues/17>.
  * added missing directory installation. closes #16 <https://github.com/utexas-bwi/bwi_common/issues/16>
  * Contributors: Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 24 Mar 2015 05:00:00 -0000

ros-indigo-bwi-kr-execution (0.3.1-0trusty) trusty; urgency=high

  * fixed broken link to costs.asp. costs are not being currently used.
  * Contributors: Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 16 Mar 2015 05:00:00 -0000

ros-indigo-bwi-kr-execution (0.3.0-0trusty) trusty; urgency=high

  * Initial release - migration from bwi_experimental into bwi_common.
  * Contributors: Matteo Leonetti, Jack O'Quin, Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Sun, 15 Mar 2015 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-bwi-kr-execution
Section: misc
Priority: extra
Maintainer: Piyush Khandelwal <piyushk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), gringo, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-bwi-msgs, ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-sound-play, ros-indigo-std-msgs, ros-indigo-std-srvs
Homepage: http://ros.org/wiki/bwi_kr_execution
Standards-Version: 3.9.2

Package: ros-indigo-bwi-kr-execution
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gringo, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-bwi-msgs, ros-indigo-message-runtime, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-sound-play, ros-indigo-std-msgs, ros-indigo-std-srvs
Description: Execution nodes for using the BWI Knowledge Representation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-bwi-kr-execution//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
